@import url("https://fonts.googleapis.com/css2?family=Be+Vietnam+Pro:wght@300&display=swap");


*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Be Vietnam Pro", sans-serif;
    scroll-behavior: smooth;
}

/* Global Vriable Declared */
:root{
    --bgOrange: #e84949;
}

#wrapper{
    height: 100vh;
    overflow-y: auto;
    overflow-x: hidden;
}

.container{
    width: 1200px;
    margin: 0 auto; /* container placed in center */
}

/* NavBar Section Start */

.navbar{
    display: flex; /* for placed logo,text and navitems in a single line */
    justify-content: space-between; /* set space b/w logo and nav-items */
    align-items: center; /* for verticaly center the logo and items  */
    padding-top: 1rem;

}

.logo{
    width: 80px; /* for reduce the size of logo */
}

.logo-container{
    display: flex; /* for alingn loto and text in a single line */
    justify-content: baseline; 
    align-items: center;
    
    /* baseline and ceneter it arranges the logo and text in a 
    single line */
}

.logo-text{
    margin-left: -1.2rem; /* takeing (-)ve margin to shift text towards 
    the logo */
    font-size: 28px;
}

.nav-items{
    display: flex; /* for arranging nav-items horizontaly in a 
    single line */
    gap: 2rem; /* for adding gap b/w nav-items*/
    padding: 0 4rem;
}

.nav-items div{
    font-size: 20px;
    font-weight: 500;
    cursor: pointer; /* when we move cursor over navitems the cursor 
    become pointer */
}

a{
    text-decoration: none; /* for removeing underline from the nav-items */
}

.nav-items div a{
    color: black; /* for changing the navitems colour */
}

.nav-items div:hover{
    transition: 0.8s;
    font-weight: bold; /* when we hover on nav-items its text become bold
    in 0.8s transition-time */
}

/* Hero-Section Start */

.hero-section{
    position: relative; /* we position:relative because we position
    images absolute (overlap) in hero-section right */

    display: flex; /* for arranging left and right hero-section in a 
    single horizontal line */

    justify-content: center;
    align-items: center;
    /* text-align: center; */

    gap: 5rem;
    margin: 4rem auto;
    padding: 0 1rem;
    padding-bottom: 8rem;
}

.faded-text{
    position: absolute; /* for position the faded text */
    user-select: none; /* the faded text do not select by the cursor*/
    font-size: 7rem;
    color: rgb(231, 231, 231);
    bottom: -16%;
    left: -5%;
    font-weight: bold;
    transition: all 3s;
}

.hero-section-left{
    width: 100%;
    display: flex; /* for arranging the content in a single line  */
    flex-direction: column; /* arrange content vertically */
    justify-content: center;
    gap: 2rem;
}

.hero-section-heading{
    font-size: 35px;
    color: #343d68;
    font-weight: 500;
}

/* for moving text in JavaScript */
.role{
    color: #4e45d5;
    font-weight: 800;
}

.hero-section-sub-heading{
    font-size: 45px;
    line-height: 45px;
}

.hero-section-description{
    margin-top: 1rem;
    width: 70%;
    font-weight: 500;
}

/* for Hire Me button */

.btn-pink{
    background-color: #e84949;
    width: fit-content; /* for adjust the width of button otherwise its 
    width is increased */
    padding: 0.8rem 2.3rem;
    color: white;
    font-size: 18px;
    box-shadow: 5px 5px 7px 0px #0000003f;

    /* here we set position:relative because we want to overlap text on 
    button  */

    position: relative;

    /* here we set z-index: 1 because when we hover on a button its 
    text don't hide */

    z-index: 1;
}

/* The ::before selector inserts something before the content
 of each selected element(s).*/

.btn-pink::before{
    content: "";
    background-color: #1f1f1f;

    /* position:absolute for overlap the text on button */

    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;

    /* transform: scaleX(0) is show that when we do not hover on button
    it do not scale */

    transform: scaleX(0);

    /* tranform-origin: left is shows that transform or scale is start 
    from left direction */

    transform-origin: left;

    transition: all 0.8s; /* transition-time */

     /* here we set z-index: 1 because when we hover on a button its 
    text don't hide */

    z-index: -1;
}

.btn-pink:hover::before{

      /* transform: scaleX(1) is show that when we hover on button its 
      scaleX become 1 */
    transform: scaleX(1);
}

/* Hero-Section Right Side Start */

.hero-section-right{
    position: relative;
}

.absolute{
    position: absolute;
}

.user-image{
    padding: 2.5rem;
    /* width: 345px;
    height: 390px; */
    filter: grayscale(1); /* for black & white the image */
    transition: all 1s; /* for grayscale */
    animation: scaleImage 5s linear infinite; /* image scale for 5sec in 
    linear direction for infinite times */
}

.user-image img{
    z-index: -9; /* for fixed the position of user-image in background */
    
}

/* for adding animation on a user image */

@keyframes scaleImage {

    0%{
        filter: grayscale(0); /* when image is in normal size [ scale(1)]
        its grayscale is 0 means image is coloured */
        transform: scale(1);
    }

    50%{
        transform: scale(1.1);
        filter: grayscale(1);
        /* when image is in increased size [ scale(1.1)]
        its grayscale is 1 means image is back & white  */
        box-shadow: 3px 3px 10px black;
        /* when image size is changed shadow appers */
    }

    100%{
        transform: scale(1);
        filter: grayscale(0);
        /* when image is in normal size [ scale(1)]
        its grayscale is 0 means image is coloured */
    }
}

.icon-dots{
    z-index: 9; /* for set a dots image over user image */
    bottom: -1rem;
    right: 0;

    /* adding animations */
    animation: dotsAnimation;
    animation-duration: 5s;
    animation-iteration-count: infinite;
}

/* for animation or moving on y-axis ( or in up and down motion )*/

@keyframes dotsAnimation{

    0%{
        transform: translateY(0px);
      }

    50%{
        transform: translateY(-15px);
    }

    100%{
        transform: translateY(0px);
    }
}

.icon-cube{
    z-index: 9;
    top: 0.8em;
    right: 1em;
    animation: cubeRotate;
    animation-duration: 3s;
    animation-iteration-count: infinite;
}

/* for animation or moving on y-axis ( or in up and down motion )
with rotation along y-axis */

@keyframes cubeRotate{

    0%{
        transform: translateY(0px) rotateY(0deg);
      }

    50%{
        transform: translateY(-12px) rotateY(180deg);
    }

    100%{
        transform: translateY(0px) rotateY(360deg);
    }
}

.icon-circle{
    z-index: 9;
    left: 0;
    bottom: 0;
    animation: shakeEffect;
    animation-duration: 6s;
    animation-timing-function: linear;
    animation-iteration-count: infinite;
}

@keyframes shakeEffect{
    50%{
        left: 5%;
        bottom: 10%;
    }
}

.icon-zigzags{
    z-index: 9;
    top: 1.5em;
    left: -0.3em;
    animation: zigzagAnimation 5s ease-in infinite;
}


@keyframes zigzagAnimation{
    50%{
        left: 5%;
        top: 2%;
    }
}

.icon-plus{
    z-index: 9;
    top: -0.8rem;
    left: 50%;
    animation: shakeEffectPlus 5s ease-in infinite;
}

@keyframes shakeEffectPlus{
    50%{
        left: 48%;
        top: 3%;
    }
}

/* Project-Section Start*/

.project-section{
    background-color: rgb(231, 231, 231);
    margin-top: 4rem;
}

.page-header{
    color: var(--bgOrange);
    font-size: 90px;
    text-align: center;
    padding-top: 30px;
    /* line-height: 75px; */
}

.project-container{
    max-width: 1200px;
    margin: 0 auto;
    padding: 3rem 0;
    display: flex;
    flex-direction: column;
    gap: 120px;
}

.project-card{
    width: 85%;
    height: 550px;

    background-size: cover; /* the background image covers the 
    entire area of the card*/

    background-repeat: no-repeat; /*  Prevents the background 
    image from repeating (tiling).*/

    position: relative;
    box-shadow: 0px 0px 40px #1f1f1f;

    background-image: url(images/project\ images/Project-1.png); /* set a 
    background image od project1 */

    z-index: 2;
    margin: 5rem auto; /* margins b/w cards */
}

.project-card::after{ /* defines a pseudo-element ::after for a class 
    .project-card */

    content: "";
    position: absolute; /* with respect to .project-card */
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background-color: #1f1f1f9a;

    z-index: 0; /* This places the pseudo-element behind other elements 
    inside .project-card that have a higher z-index. */

}

.project-card::before{ /* defines a ::before pseudo-element for the 
    .project-card*/

    content: "";
    position: absolute;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;
    background: linear-gradient(45deg, #343d68, #343d68be, #343d687c);

    transform: scaleX(0); /* This initially scales the pseudo-element 
    horizontally to a width of 0 (it won't be visible at first) */

    transform-origin: left;/* Defines the left edge as the origin for 
    the transformation. Any scaling or transformations will start from
     the left edge */

    transition: all 0.4s;

    z-index: 1; /*  Ensures the pseudo-element appears above other 
    elements with a lower z-index (including the ::after pseudo-element
     with z-index: 0) */
}

.project-card:hover::before{

    transform: scaleX(1); /* When the user hovers over the .project-card,
     the ::before pseudo-element will animate its transform property from
      scaleX(0) to scaleX(1) */

}

.project-number{
    position: absolute;
    font-size: 200px;
    font-weight: 600;
    color: white;

    z-index: 10; /*  Ensures that the .project-number appears above 
    other elements within the card, including the ::before and 
    ::after pseudo-elements */

    /* display: none; */ 
    /* display: none; is not necessary when  using opacity transitions,
     as opacity: 0 already hides the element  without removing it from 
     the document flow */


    opacity: 0; /* Initially hides the .project-number by setting
     its opacity to 0 (fully transparent). This provides a smooth
      transition for when the number is revealed */

}

.project-card:hover .project-number{
    /* display: block; */
    /* display: block; is not necessary when  using opacity transitions,
     as opacity: 1 already hides the element  without removing it from 
     the document flow */

    opacity: 1; /* This makes the number fully visible when hovering
     over the card by transitioning its opacity from 0 to 1 */

}

.project-number-right{
    right:-40px;
    top:-45px;
  }

  .project-number-left{
    left:-40px;
    top:-45px;
  }
.project-content{

    display: flex; /* for align a skills image in a single line */
    
    position: absolute;
    flex-direction: column; /* for arranging flex-content in a coloumn */

    color:white;
    padding:2em;
    bottom:20%;

    z-index:5; /* Places the .project-content above lower-z-index
     elements like the ::before or ::after pseudo-elements, but
      below higher-z-index elements like the .project-number.*/

    gap:1em;
    transition:all 0.4s;
}

.project-content-left{ 
    left:10%;
  }

  .project-content-right{ 
    right:10%;
  }

  .project-skills-container{
    width: 60%;
    display: flex; /* for allign a skills images in a card */
    gap: 10px;
    flex-wrap: wrap; /* here flex items arte wrap which means its 
    automaticaly arrange in a one or two line when we added more items */
  }

  .project-skills{
    width: 40px;
  }

  .project-heading{
    font-size:50px;
    font-weight: bold;
    line-height:3rem;
  }

  .project-subheading{
    width:70%;
    font-size:16px;
    font-style: italic;
  }

  .btn-grp{
    display: flex; /* for arranging button and two icons in a line */
    gap:0.9rem;
    align-items: center;

  }

  .btn-project:hover{
    border: none; /* remove the border and outine of button when we*/
    outline: none; /* hover on it */
  }

  .icon{
    cursor: pointer; /* when we hover on icon cursor become pointer */
    color:white;
    font-size:35px;
    transition: all 0.4s;
  }

  .icon:hover{
    color: var(--bgOrange);
  }

  .project-card:hover .project-content{
    transform: scale(1.1); /* when we hover on a card project become
    scale (1.1) */
  }

  #project1{
    background-image: url(images/project\ images/Project-1.png);
    right: 5%;
  }

  #project2{
    margin-left: 120px;
    background-image: url(images/project\ images/Project-2.png);
  }

  #project3{
    background-image: url(images/project\ images/Project-3.png);
    right: 5%;
  }

  #project4{
    margin-left: 120px;
    background-image: url(images/project\ images/Project-4.png);
  }

  /* applying media queries */

  /* @media (max-width:1300px){
    .page-header{
        padding-top: 30px;
        color: var(--bgOrange);
        text-align: center;
        font-size: 40px;
    }

    .project-container{
        padding: 5px;
        margin: 10px;
        gap: 60px;
    }

    .project-card{
        width: 100%;
        height: 300px;
    }

    .project-content{
        scale: 0.5;
        bottom: 0;
        left: 0;
        right: 0;
        top: 0;
    }

    .project-content-left{
        left: 0;
    }

    .project-heading{
        font-size: 40px;
        width: 100%;
    }

    .project-subheading{
        width: 100%;
    }

    #project2{
        margin-left: 0;
    }

    #project4{
        margin-left: 0;
    }

    .project-skills-container{
        width: 100%;
    }

    .project-skills{
        width: 35px;
    }

    .project-card:hover .project-number{
        display: none;
    }

    .project-card:hover .project-content{
        scale: 0.55;
    }
  } */


  /* Skills Section Start */


  .skills-container{
    display: flex; /* content arrange in a single line */
    position: relative;
    padding:5rem;
    margin:10rem auto;
    gap:30px;
  }

  .skill-container-left{
    width:50%;
    display: flex;
    flex-direction: column; /* display:flex and coloumn direction */
  }

  .skill-container-right{
    display: flex;
    position: relative;
    flex-wrap: wrap; /* arrange logos in a number of rows according to
    requirements */
    justify-content: center;
    width: 50%;
    gap:2rem;
  }

  .skill-fade-text{
    position: absolute; /* position fixed on a container */
    font-size:15em;
    font-style:bold;
    color:rgb(231,231,231);
    bottom:-34.5%;
    right:-25%;
    user-select: none; /* user can not select faded text */
    overflow-y: hidden; /* overflow in vertical direction is hidden */
  }

  .blob-style{
    position: absolute; /* position is fixed to nearest accenstor */
    top:50%;
    left:50%;
    z-index: -5; /* it placed behind other elements or content */
    transform: translate(-50%, -50%); /* adjust blob in center */
    animation: blobAnimate 3s linear infinite; /* animate blob for 3s
    in liner direction for infinite times */
  }

  @keyframes blobAnimate{
    50%{
        top:54%;
        left:46%;
      }
  }

  .skills-logo{
    width: 90px;
    transition: all 0.5s;
  }

  .skills-logo:hover{
    transform: scale(1.2);
  }

  .skill-heading{
    font-size:50px;
    font-style: bold;
    color: var(--bgOrange);
    line-height: 50px;
  }

  .caps{
    font-size:90px;
  }

  .skill-subHeading{
    margin-top: 1rem;
    width:85%;
    text-align: justify; /* Aligns the text to both the left and right,
     adding spacing between words so that both edges of the text block
      are straight. */
  }

  .skill-subHeading p{
    margin:15px 0;
  }

  /* Skills-Section END */


  /* Contact Us Form Section Start  */


  .contactus-form-container{
    width: 100%;
    background-color: rgb(231, 231, 231);
  }

  .contactus-heading{
    font-size: 5em;
    padding-top: 2rem;
    color: var(--bgOrange);
  }

  .contactus-sub-heading{
    font-size: 3rem;
    color: #343d68aa;
    text-transform: capitalize; /* write intial letter of every word in
    capital letter */
  }

  .contactus-form-container{
    margin-top: 25px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .form{
    display: flex;
    flex-direction: column;
    gap: 30px;
    width: 70%;
    margin: 2rem 5rem;
  }

  .formfeild-container{
    width: 100%;
  }

  .formfeild{
    width: 100%;
    height: 42px;
    padding: 0 2rem;
    font-size: 18px;
    border-radius: 5px; /* for curve the corners */
    box-shadow: 2px 2px 10px #1f1f1f; /* add shadow around feilds */
    font-weight: 500;
    border: none; /* remove border around feilds */
    margin-top: 27px;
  }

  .formfeild-textarea{
    height: auto;
    padding-top: 1rem;
  }

  #submit-btn{
    border: none; /* remove button border */
    font-size: 1.4rem;
    margin: 1rem 0;
    transition: 0.5s;
  }

  #submit-btn:hover{
    transform: scale(0.9); /* when we hover on button its scale reduce */
  }

  .fas{ /* message icon properties */
    padding: 0 1rem;
    font-size: 1.5rem;
  }

  /* Contact Us Form Section End */

  /* Footer Section Start */

  footer{
    position: relative; /* because we want to overlap faded text */
    margin-top: -1px;
    background-color: #343d68;
    padding: 5rem;
  }

  .footer-wrapper{
    display: flex; /* arrange contect in a line */
    gap: 1rem;
    padding: 1.2rem;
    justify-content: space-between; /* content arrange on left and right
    corner equaly */
    align-items: center;
  }

  .footer-faded-text{
    position: absolute; /* position fixed*/
    left: 0;
    bottom: 0;
    color: #535c87;
    user-select: none; /* text select block*/
    font-size: 5em;
  }

  .link-wrapper{
    display: flex; /* arrange links in a single line */
    gap: 1.2rem;
  }

  .link-wrapper div a{ /* change the text colour of hyperlinks */
    color: white;
    text-decoration: none; /* removeing underline under hyperlinks */
    transition: all 0.6s;
  }

  .link-wrapper div a:hover{
    color: var(--bgOrange);
  }

  .icon-wrapper{
    display: flex;
    gap: 1rem;
  }

